# $Revision: 1.43 $, $Date: 2010/08/21 19:07:59 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTTP
%define		_status		stable
%define		_pearname	%{_class}
Summary:	%{_pearname} - miscellaneous HTTP utilities
Summary(pl.UTF-8):	%{_pearname} - różne narzędzie do HTTP
Name:		php-pear-%{_pearname}
Version:	1.4.1
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	6fe726d7304f81ac1fe866b7725512fa
URL:		http://pear.php.net/package/HTTP/
BuildRequires:	php-pear-PEAR >= 1:1.7.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.0.6
Requires:	php-pcre
Requires:	php-pear
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTTP class is a class with static methods for doing miscellaneous
HTTP-related stuff like date formatting or language negotiation.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa HTTP jest klasą ze statycznymi metodami różnych związanych z
HTTP rzeczy, jak formatowanie daty czy negocjacja języka.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup
cd ./%{php_pear_dir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/HTTP

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTTP.spec,v $
Revision 1.43  2010/08/21 19:07:59  glen
- updated deps with pearize.sh
- release 2

Revision 1.42  2008/09/01 22:25:39  adamg
- updated to 1.4.1
- tests subpackage

Revision 1.41  2008-01-31 12:17:19  glen
- rel 5

Revision 1.40  2007-09-13 11:18:59  baggins
- rel 4

Revision 1.39  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.38  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.37  2006/11/21 19:56:55  glen
- rel 3: use php(extension) virtuals

Revision 1.36  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.35  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.34  2005/11/28 06:50:56  glen
- assume patch0 outdated; rel 2

Revision 1.33  2005/11/21 18:02:00  glen
- 1.4.0

Revision 1.32  2005/11/20 16:26:33  glen
- rel 4

Revision 1.31  2005/10/21 10:25:06  arekm
- do not pass by reference; rel 3

Revision 1.30  2005/10/05 18:31:31  glen
- rel 2

Revision 1.29  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.28  2005/09/26 21:01:06  glen
- 1.3.6

Revision 1.27  2005/09/26 20:28:45  glen
- new pear packaging

Revision 1.26  2005/03/27 12:56:21  adamg
- updated to 1.3.5

Revision 1.25  2005/02/19 18:39:42  ankry
- unification

Revision 1.24  2005/02/19 18:11:08  adamg
- updated to 1.3.4

Revision 1.23  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.22  2004/10/01 19:46:54  adamg
- updated to 1.3.3

Revision 1.21  2004/09/10 21:06:56  adamg
- updated to 1.3.2

Revision 1.20  2004/08/01 18:00:04  adamg
- updated to 1.3.1

Revision 1.19  2004/07/08 19:12:33  adamg
- updated to 1.3.0

Revision 1.18  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.17  2004/02/26 15:48:17  adamg
- updated to 1.2.3

Revision 1.16  2003/12/10 19:36:31  adamg
- updated to 1.2.2

Revision 1.15  2003/10/07 20:54:59  adamg
- do not use macros in URL

Revision 1.14  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.13  2003/08/06 06:29:41  adamg
- updated to 1.2.1

Revision 1.12  2003/05/28 08:58:38  adamg
- massive attack: added source0-md5

Revision 1.11  2003/05/25 06:25:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/01/11 22:29:21  blues
- 1.2 - added new methods STBR to RA/updates general

Revision 1.9  2003/01/07 18:07:30  blues
- release 4 - added status info, prepared for new php-4.3.0

Revision 1.8  2002/10/14 23:43:10  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.7  2002/09/07 06:35:46  blues
- fix in macros

Revision 1.6  2002/07/12 23:40:24  blues
- release 2 (rebuild with new rpm)

Revision 1.5  2002/07/12 08:23:46  blues
- missing Req. and BR. added

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/29 14:34:21  blues
- dir removed

Revision 1.2  2002/06/25 12:23:06  blues
- fixed location

Revision 1.1  2002/06/25 12:21:27  blues
- initial
